## suricata 4.0.3

=== debian/changelog ===
suricata (1:4.0.3-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * [aece4d6] New upstream version 4.0.3
  * [c23b64f] refresh patches

  [ Arturo Borrero Gonzalez ]
  * [7f077ca] d/control: bump std-version to 4.1.2

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 13 Dec 2017 11:42:18 +0100

=== debian/control ===
Source: suricata
Section: net
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: debhelper (>= 10),
	       dh-python,
               libcap-ng-dev,
               libevent-dev,
               libgeoip-dev,
               libhiredis-dev,
               libjansson-dev,
               libluajit-5.1-dev [i386 amd64 powerpc mips mipsel armel armhf],
               libhyperscan-dev (>= 4.4.0) [i386 amd64 x32],
               libmagic-dev,
               libnet1-dev | libnet-dev,
               libnetfilter-log-dev,
               libnetfilter-queue-dev,
               libnspr4-dev,
               libnss3-dev,
               libpcap-dev,
               libpcre3-dev,
               libprelude-dev,
               libyaml-dev,
               python,
               zlib1g-dev | libz-dev,
               libhtp-dev (>= 1:0.5.25),
               procps
X-Python-Version: >= 2.6
Standards-Version: 4.1.2
Homepage: https://www.suricata-ids.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-suricata/pkg-suricata.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-suricata/pkg-suricata.git

Package: suricata
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
Conflicts: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
Replaces: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
Recommends: suricata-oinkmaster (=${binary:Version}), python, snort-rules-default
Suggests: libtcmalloc-minimal4
Description: Next Generation Intrusion Detection and Prevention Tool
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 It can also be used as Intrusion Prevention System (IPS), and as higher layer
 firewall.
 .
 This new Engine supports Multi-Threading, Automatic Protocol Detection
 (IP, TCP, UDP, ICMP, HTTP, TLS, FTP and SMB), Gzip Decompression, Fast
 IP Matching and coming soon hardware acceleration on CUDA and OpenCL GPU
 cards.
 .
 This version has inline (NFQUEUE) support enabled.

Package: suricata-oinkmaster
Architecture: all
Depends: oinkmaster, suricata (>= ${source:Version}), ${misc:Depends}
Description: Integration package between suricata and oinkmaster
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 This package contains the integration bits between suricata and oinkmaster
 to allow easy automated ruleset updates.

=== debian/tests/control ===
Test-Command: suricata --build-info
Depends: @

Test-Command: suricatasc -c "version"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "command-list"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "capture-mode"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: sleep 10 && suricatasc -c "dump-counters"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "uptime"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "reload-rules"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "iface-list"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "shutdown"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricatasc -c "running-mode"
Depends: @
Restrictions: needs-root, isolation-container

Test-Command: suricata-oinkmaster-updater
Depends: @
Restrictions: needs-root, isolation-container, allow-stderr

Tests: systemd-service-test.sh
Depends: @, systemd, procps
Restrictions: needs-root, isolation-container, allow-stderr

Test-Command: src/suricata -u
Depends: @, @builddeps@, procps, geoip-database
Restrictions: needs-root, isolation-container, build-needed, allow-stderr

## suricata 4.0.4

=== debian/changelog ===
suricata (1:4.0.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [0816aaa] d/control: adjust debhelper dependecy for stretch-backports

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 22 Feb 2018 14:27:20 +0100

suricata (1:4.0.4-1) unstable; urgency=medium

  * [3f18cd8] d/control: refresh git URLs
  * [17da106] New upstream version 4.0.4 (Closes: #889842) fixes CVE-2018-6794
  * [00fcf17] d/compat: bump debhelper compat level to 11
  * [45dc0db] d/control: bump std-version to 4.1.3

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 14 Feb 2018 11:33:33 +0100

suricata (1:4.0.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 26 Dec 2017 12:15:26 +0100

suricata (1:4.0.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 29 Nov 2017 18:55:01 +0100

suricata (1:4.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 27 Oct 2017 11:19:23 +0200

suricata (1:4.0.0-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 28 Sep 2017 19:21:08 +0200

suricata (1:4.0.0-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 20 Sep 2017 20:09:08 +0200

suricata (1:4.0.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sat, 19 Aug 2017 13:12:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
 	       dh-python,
                libcap-ng-dev,
                libevent-dev,
@@ -27,10 +27,10 @@
                libhtp-dev (>= 1:0.5.25),
                procps
 X-Python-Version: >= 2.6
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://www.suricata-ids.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-suricata/pkg-suricata.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-suricata/pkg-suricata.git
+Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
+Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
 
 Package: suricata
 Architecture: linux-any

## suricata 4.0.5

=== debian/changelog ===
suricata (1:4.0.5-1build2) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 08:49:23 +0000

suricata (1:4.0.5-1build1) cosmic; urgency=medium

  * No-change rebuild for libhyperscan soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Jul 2018 05:13:33 +0200

suricata (1:4.0.5-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Add patches to help with cross-compiling. Thanks to Helmut Grohne
    for the patch.
    Closes: #895996
  * Add patches to fix building on ia64.
    Thanks to Jason Duerstock and Adrian Bunk for the patches.
    Closes: #890432
  * Fix spelling in debian/patches/reproducible.patch.
  * Remove obsolete X-Python-Version hint.
  * Use updated watchfile source URL with https support.
  * Remove obsolete --parallel dh parameter.
  * Use canonical Salsa Vcs-Git URL.

  [ Pierre Chifflier ]
  * New upstream version 1:4.0.5

 -- Pierre Chifflier <pollux@debian.org>  Wed, 18 Jul 2018 17:14:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 11),
 	       dh-python,
                libcap-ng-dev,
                libevent-dev,
@@ -26,11 +27,10 @@
                zlib1g-dev | libz-dev,
                libhtp-dev (>= 1:0.5.25),
                procps
-X-Python-Version: >= 2.6
 Standards-Version: 4.1.3
 Homepage: https://www.suricata-ids.org/
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
-Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
+Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata.git
 
 Package: suricata
 Architecture: linux-any

## suricata 4.0.6

=== debian/changelog ===
suricata (1:4.0.6-1) unstable; urgency=medium

  * New upstream version 1:4.0.6

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Nov 2018 09:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
 Build-Depends: debhelper (>= 11),
 	       dh-python,

## suricata 4.1.2

=== suricata-update/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# suricata-update/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = suricata-update
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libprelude.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/suricata-1545403413/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/suricata-1545403413/missing autoconf
AUTOHEADER = ${SHELL} /tmp/suricata-1545403413/missing autoheader
AUTOMAKE = ${SHELL} /tmp/suricata-1545403413/missing automake-1.15
AWK = gawk
CARGO = /home/victor/.cargo/bin//cargo
CARGO_HOME = /home/victor/.cargo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -march=native -I${srcdir}/../rust/gen/c-headers
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS = -I${srcdir}/../libhtp/  -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /bin/grep
HAVE_CARGO = /home/victor/.cargo/bin//cargo
HAVE_CARGO_VENDOR = /home/victor/.cargo/bin//cargo-vendor
HAVE_COCCINELLE_CONFIG = /usr/bin/spatch
HAVE_CURL = 
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_LLC = 
HAVE_PCAP_CONFIG = /usr/bin/pcap-config
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python
HAVE_RUSTC = /home/victor/.cargo/bin//rustc
HAVE_SPHINXBUILD = /usr/bin/sphinx-build
HAVE_WGET = /usr/bin/wget
HTP_DIR = libhtp
HTP_LDADD = ../libhtp/htp/libhtp.la
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBHTPDEVVERSION_CFLAGS = 
LIBHTPDEVVERSION_LIBS = 
LIBHTPMINVERSION_CFLAGS = 
LIBHTPMINVERSION_LIBS = 
LIBOBJS = 
LIBPCREVERSION_CFLAGS = 
LIBPCREVERSION_LIBS = 
LIBPRELUDE_CFLAGS = 
LIBPRELUDE_CONFIG = 
LIBPRELUDE_CONFIG_PREFIX = 
LIBPRELUDE_LDFLAGS = 
LIBPRELUDE_LIBS = 
LIBPRELUDE_PREFIX = 
LIBPRELUDE_PTHREAD_CFLAGS = 
LIBS = -lmagic -lnss3 -lnspr4 -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre  -lz -llzma -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LUAJIT_CFLAGS = 
LUAJIT_LIBS = 
LUA_CFLAGS = 
LUA_LIBS = 
MAKEINFO = ${SHELL} /tmp/suricata-1545403413/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 4.1.2
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 4.1.2
PATH_SEPARATOR = :
PCAP_CFLAGS =  -I/usr/include
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
RUST_DEBUG = 
RUST_FEATURES = 
RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 4.1.2
abs_builddir = /tmp/suricata-1545403413/suricata-update
abs_srcdir = /tmp/suricata-1545403413/suricata-update
abs_top_builddir = /tmp/suricata-1545403413
abs_top_srcdir = /tmp/suricata-1545403413
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_sysconfdir = /usr/local/etc/suricata/
e_sysconfrulesdir = /usr/local/etc/suricata/rules
exec_prefix = ${prefix}
has_suricata_update_comment = #
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/suricata-1545403413/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libhtp_CFLAGS = 
libhtp_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
libnspr_CFLAGS = -I/usr/include/nspr
libnspr_LIBS = -lplds4 -lplc4 -lnspr4
libnss_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
libnss_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
no_suricata_update_comment = 
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_config_comment = 
rust_config_enabled = yes
rust_vendor_comment = # 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  libhtp
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu suricata-update/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu suricata-update/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

=== debian/changelog ===
suricata (1:4.1.2-2ubuntu3) focal; urgency=medium

  [ Sascha Steinbiss ]
  * Add patch to fix FTBFS on recent kernels. Thanks to Aurelien Jarno for
    pointing this out.
    Closes: #934316

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 21 Oct 2019 16:22:00 +0200

suricata (1:4.1.2-2ubuntu2) focal; urgency=medium

  * No-change rebuild for libevent soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 20:04:46 +0000

suricata (1:4.1.2-2ubuntu1) disco; urgency=medium

  * Run the systemd service autopkgtest first before other tests that expect
    the service to be running.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Jan 2019 21:00:16 -0800

suricata (1:4.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Jan 2019 12:53:47 +0100

suricata (1:4.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Do not remove Rust vendor directory on distclean (Closes: #915154)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 23 Dec 2018 10:48:27 +0000

suricata (1:4.1.0-2) experimental; urgency=medium

  * Disable Rust on armel for now (FTBFS)
  * Add liblz4-dev to build-deps to enable pcap compression
  * Update build-dependency on python:any to fix FTCBFS (Closes: #909606)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 26 Nov 2018 11:07:08 +0100

suricata (1:4.1.0-1) experimental; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * libhtp: bump soname to libhtp-0.5.24-1

  [ Pierre Chifflier ]
  * New upstream version 1:4.1.0
  * Refreshed quilt patches
  * Update python code directory
  * Enable rust support (i386 and amd64 only for now)
  * Also enable Rust on ARM architectures

 -- Pierre Chifflier <pollux@debian.org>  Thu, 15 Nov 2018 13:29:23 -0800

=== debian/rules ===
#!/usr/bin/make -f

# verbose mode
export DH_VERBOSE=1

SURICATA_DESTDIR = $(CURDIR)/debian/suricata
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

include /usr/share/dpkg/architecture.mk

LUAJIT_ARCHS = i386 amd64 powerpc mips mipsel armel armhf
HYPERSCAN_ARCHS = i386 amd64 hurd-i386 kfreebsd-amd64 x32
RUST_ARCHS = i386 amd64

ifneq (,$(findstring $(DEB_HOST_ARCH),$(LUAJIT_ARCHS)))
	ENABLE_LUAJIT="--enable-luajit"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(HYPERSCAN_ARCHS)))
	ENABLE_HYPERSCAN="--enable-libhs"
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),$(RUST_ARCHS)))
	ENABLE_HYPERSCAN="--enable-rust"
endif

CI ?= $(shell $(CURDIR)/debian/building-in-ci.sh)
ifeq ($(CI),true)
        ENABLE_UNITTESTS="--enable-unittests"
endif

CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude --enable-nflog \
	--enable-gccprotect --disable-gccmarch-native \
	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-libevent-includes=/usr/include --with-libevent-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--disable-coccinelle \
	--enable-geoip --enable-hiredis \
	--enable-non-bundled-htp \
	$(ENABLE_LUAJIT) \
	$(ENABLE_HYPERSCAN) \
	$(ENABLE_UNITTESTS)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install
	rm -rf $(SURICATA_DESTDIR)/usr/lib/python*;\
	(cd python &&\
		python -B setup.py install --install-layout=deb --prefix $(SURICATA_DESTDIR)/usr)
	# clean upstream install documentation
	rm -rf $(SURICATA_DESTDIR)/usr/share/doc/suricata/*

override_dh_strip:
	dh_strip --dbgsym-migration='suricata-dbg (<< 1:4.0.0-2~)'

override_dh_auto_test:
	# do nothing
%:
	dh $@ --with python2

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,9 @@
 Test-Command: suricata --build-info
 Depends: @
+
+Tests: systemd-service-test.sh
+Depends: @, systemd, procps
+Restrictions: needs-root, isolation-container, allow-stderr
 
 Test-Command: suricatasc -c "version"
 Depends: @
@@ -41,10 +45,6 @@
 Depends: @
 Restrictions: needs-root, isolation-container, allow-stderr
 
-Tests: systemd-service-test.sh
-Depends: @, systemd, procps
-Restrictions: needs-root, isolation-container, allow-stderr
-
 Test-Command: src/suricata -u
 Depends: @, @builddeps@, procps, geoip-database
 Restrictions: needs-root, isolation-container, build-needed, allow-stderr

## suricata 4.1.5

=== suricata-update/Makefile ===
--- 
+++ 
@@ -122,13 +122,13 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/suricata-1545403413/missing aclocal-1.15
+ACLOCAL = ${SHELL} /tmp/suricata-1569239043/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /tmp/suricata-1545403413/missing autoconf
-AUTOHEADER = ${SHELL} /tmp/suricata-1545403413/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/suricata-1545403413/missing automake-1.15
+AUTOCONF = ${SHELL} /tmp/suricata-1569239043/missing autoconf
+AUTOHEADER = ${SHELL} /tmp/suricata-1569239043/missing autoheader
+AUTOMAKE = ${SHELL} /tmp/suricata-1569239043/missing automake-1.15
 AWK = gawk
 CARGO = /home/victor/.cargo/bin//cargo
 CARGO_HOME = /home/victor/.cargo
@@ -204,7 +204,7 @@
 LUAJIT_LIBS = 
 LUA_CFLAGS = 
 LUA_LIBS = 
-MAKEINFO = ${SHELL} /tmp/suricata-1545403413/missing makeinfo
+MAKEINFO = ${SHELL} /tmp/suricata-1569239043/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -217,10 +217,10 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 4.1.2
+PACKAGE_STRING = suricata 4.1.5
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 4.1.2
+PACKAGE_VERSION = 4.1.5
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
 PKG_CONFIG = /usr/bin/pkg-config
@@ -238,11 +238,11 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 4.1.2
-abs_builddir = /tmp/suricata-1545403413/suricata-update
-abs_srcdir = /tmp/suricata-1545403413/suricata-update
-abs_top_builddir = /tmp/suricata-1545403413
-abs_top_srcdir = /tmp/suricata-1545403413
+VERSION = 4.1.5
+abs_builddir = /tmp/suricata-1569239043/suricata-update
+abs_srcdir = /tmp/suricata-1569239043/suricata-update
+abs_top_builddir = /tmp/suricata-1569239043
+abs_top_srcdir = /tmp/suricata-1569239043
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -284,7 +284,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/suricata-1545403413/install-sh
+install_sh = ${SHELL} /tmp/suricata-1569239043/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libhs_CFLAGS =

=== debian/changelog ===
suricata (1:4.1.5-2ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:50:23 +0100

suricata (1:4.1.5-2ubuntu3) focal; urgency=medium

  * Rebuild against new libprelude28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Nov 2019 09:07:31 +0100

suricata (1:4.1.5-2ubuntu2) focal; urgency=medium

  * Restore part of the Ubuntu delta
    - Run the systemd service autopkgtest first before other tests that expect
      the service to be running.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Oct 2019 14:12:56 +0200

suricata (1:4.1.5-2ubuntu1) focal; urgency=medium

  * Drop bpf-dev dependency, not available yet in Ubuntu
    - disable bpf archs building

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Oct 2019 11:55:45 +0200

suricata (1:4.1.5-2) unstable; urgency=medium

  * Add versioned Depends on at least libhtp version used for building.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Oct 2019 13:13:40 +0200

suricata (1:4.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 25 Sep 2019 10:24:50 +0200

suricata (1:4.1.4-7) unstable; urgency=medium

  * Prevent file clash with other packages writing into the Python3
    module root directory (suricata/__init__.py).
  * Add patch to make suricatactl Python3-compatible.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Sep 2019 20:55:51 +0200

suricata (1:4.1.4-6) unstable; urgency=medium

  * Make Python components use Python3.
    Closes: #938603

 -- Sascha Steinbiss <satta@debian.org>  Sat, 07 Sep 2019 17:47:44 +0200

suricata (1:4.1.4-5) unstable; urgency=medium

  * Add patch to fix FTBFS on recent kernels. Thanks to Aurelien Jarno for
    pointing this out.
    Closes: #934316

 -- Sascha Steinbiss <satta@debian.org>  Mon, 12 Aug 2019 12:48:29 +0200

suricata (1:4.1.4-4) unstable; urgency=medium

  [ Hilko Bengen ]
  * Patch: add --with-ebpf-includes, point to proper include directory for
    kernel headers, fixing FTBFS on i386

  [ Sascha Steinbiss ]
  * Only build eBPF programs on archs with available dependencies.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Jul 2019 10:34:25 +0200

suricata (1:4.1.4-3) unstable; urgency=medium

  * Fix cross building by including patch that addresses abuse of
    AC_CHECK_FILE. Thanks to Helmut Grohne for the patch.
    Closes: #923174
  * Enable building with eBPF support.
    Thanks to Hilko Bengen for the patch.
    Closes: #917816
  * Create temporary CARGO_HOME to allow building with new cargo
    versions when $HOME is nonexistent.
  * Make autopkgtest more robust when external resources are unavailable.
    Closes: #932463
  * Bump debhelper and compat to 12.
  * Add Pre-Depends by Lintian's suggestion.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 09 Jul 2019 16:47:49 +0200

suricata (1:4.1.4-2) unstable; urgency=medium

  * Do not install suricata-update, recommend external pkg instead.
    Closes: #924096

 -- Sascha Steinbiss <satta@debian.org>  Thu, 02 May 2019 17:15:48 +0200

suricata (1:4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4
    - Bugs and security fixes
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Wed, 01 May 2019 11:44:13 +0200

suricata (1:4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Fri, 08 Mar 2019 10:24:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Section: net
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>,
+           Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 12),
 	       dh-python,
+               clang [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
+               llvm [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
                libcap-ng-dev,
+               libelf-dev [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
                libevent-dev,
                libgeoip-dev,
                libhiredis-dev,
                libjansson-dev,
                libluajit-5.1-dev [i386 amd64 powerpc mips mipsel armel armhf],
                libhyperscan-dev (>= 4.4.0) [i386 amd64 x32],
+               rustc (>= 1.28.0) [i386 amd64 armhf arm64],
+               cargo (>= 0.29.0) [i386 amd64 armhf arm64],
+               liblz4-dev,
                libmagic-dev,
                libnet1-dev | libnet-dev,
                libnetfilter-log-dev,
@@ -22,7 +29,7 @@
                libpcre3-dev,
                libprelude-dev,
                libyaml-dev,
-               python,
+               python3:any,
                zlib1g-dev | libz-dev,
                libhtp-dev (>= 1:0.5.25),
                procps
@@ -33,11 +40,11 @@
 
 Package: suricata
 Architecture: linux-any
-Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
+Pre-Depends: dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, libhtp2 (>= ${libhtp:Version}~), lsb-base (>= 3.0-6)
 Conflicts: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
 Replaces: libhtp1 (<< 0.5.16), suricata-hyperscan (<< 3.2)
-Recommends: suricata-oinkmaster (=${binary:Version}), python, snort-rules-default
+Recommends: python3, snort-rules-default, suricata-update
 Suggests: libtcmalloc-minimal4
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

=== debian/tests/control ===
--- 
+++ 
@@ -41,9 +41,9 @@
 Depends: @
 Restrictions: needs-root, isolation-container
 
-Test-Command: suricata-oinkmaster-updater
-Depends: @
-Restrictions: needs-root, isolation-container, allow-stderr
+Tests: suricata-oinkmaster-updater.sh
+Depends: @, curl
+Restrictions: needs-root, isolation-container, allow-stderr, skippable
 
 Test-Command: src/suricata -u
 Depends: @, @builddeps@, procps, geoip-database

## suricata 5.0.2

=== suricata-update/Makefile ===
--- 
+++ 
@@ -122,19 +122,20 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/suricata-1569239043/missing aclocal-1.15
+ACLOCAL = ${SHELL} /tmp/suricata-1581591507/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /tmp/suricata-1569239043/missing autoconf
-AUTOHEADER = ${SHELL} /tmp/suricata-1569239043/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/suricata-1569239043/missing automake-1.15
+AUTOCONF = ${SHELL} /tmp/suricata-1581591507/missing autoconf
+AUTOHEADER = ${SHELL} /tmp/suricata-1581591507/missing autoheader
+AUTOMAKE = ${SHELL} /tmp/suricata-1581591507/missing automake-1.15
 AWK = gawk
 CARGO = /home/victor/.cargo/bin//cargo
-CARGO_HOME = /home/victor/.cargo
+CARGO_HOME = 
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2 -march=native -I${srcdir}/../rust/gen/c-headers
+CLANG = /usr/bin/clang
 CLANG_CFLAGS = 
 CONFIGURE_DATAROOTDIR = /usr/local/share
 CONFIGURE_LOCALSTATEDIR = /usr/local/var
@@ -156,18 +157,15 @@
 FGREP = /bin/grep -F
 GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
 GREP = /bin/grep
-HAVE_CARGO = /home/victor/.cargo/bin//cargo
-HAVE_CARGO_VENDOR = /home/victor/.cargo/bin//cargo-vendor
 HAVE_COCCINELLE_CONFIG = /usr/bin/spatch
 HAVE_CURL = 
+HAVE_CYGPATH = no
 HAVE_GETCONF_CMD = /usr/bin/getconf
 HAVE_GIT_CMD = /usr/bin/git
-HAVE_LLC = 
 HAVE_PCAP_CONFIG = /usr/bin/pcap-config
 HAVE_PDFLATEX = /usr/bin/pdflatex
 HAVE_PKG_CONFIG = /usr/bin/pkg-config
-HAVE_PYTHON = /usr/bin/python
-HAVE_RUSTC = /home/victor/.cargo/bin//rustc
+HAVE_PYTHON = /usr/bin/python3
 HAVE_SPHINXBUILD = /usr/bin/sphinx-build
 HAVE_WGET = /usr/bin/wget
 HTP_DIR = libhtp
@@ -193,7 +191,7 @@
 LIBPRELUDE_LIBS = 
 LIBPRELUDE_PREFIX = 
 LIBPRELUDE_PTHREAD_CFLAGS = 
-LIBS = -lmagic -lnss3 -lnspr4 -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre  -lz -llzma -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
+LIBS = -lmagic -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre  -lz -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LIPO = 
 LLC = 
@@ -203,8 +201,9 @@
 LUAJIT_CFLAGS = 
 LUAJIT_LIBS = 
 LUA_CFLAGS = 
+LUA_INT8 = 
 LUA_LIBS = 
-MAKEINFO = ${SHELL} /tmp/suricata-1569239043/missing makeinfo
+MAKEINFO = ${SHELL} /tmp/suricata-1581591507/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -217,17 +216,19 @@
 PACKAGE = suricata
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = suricata
-PACKAGE_STRING = suricata 4.1.5
+PACKAGE_STRING = suricata 5.0.2
 PACKAGE_TARNAME = suricata
 PACKAGE_URL = 
-PACKAGE_VERSION = 4.1.5
+PACKAGE_VERSION = 5.0.2
 PATH_SEPARATOR = :
 PCAP_CFLAGS =  -I/usr/include
+PCAP_LIBS = 
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-RUST_DEBUG = 
+RUSTC = /home/victor/.cargo/bin//rustc
+RUSTUP_HOME_PATH = /home/victor/.rustup
 RUST_FEATURES = 
 RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
 RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
@@ -238,19 +239,19 @@
 SHELL = /bin/bash
 STRIP = strip
 SURICATA_UPDATE_DIR = suricata-update
-VERSION = 4.1.5
-abs_builddir = /tmp/suricata-1569239043/suricata-update
-abs_srcdir = /tmp/suricata-1569239043/suricata-update
-abs_top_builddir = /tmp/suricata-1569239043
-abs_top_srcdir = /tmp/suricata-1569239043
+VERSION = 5.0.2
+abs_builddir = /tmp/suricata-1581591507/suricata-update
+abs_srcdir = /tmp/suricata-1581591507/suricata-update
+abs_top_builddir = /tmp/suricata-1581591507
+abs_top_srcdir = /tmp/suricata-1581591507
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = $${TAR-tar} chof - "$$tardir"
-am__untar = $${TAR-tar} xf -
+am__tar = tar --format=ustar -chf - "$$tardir"
+am__untar = tar -xf -
 bindir = ${exec_prefix}/bin
 build = x86_64-pc-linux-gnu
 build_alias = 
@@ -272,10 +273,11 @@
 e_magic_file = 
 e_magic_file_comment = #
 e_rundir = /usr/local/var/run/
+e_rustdir = /tmp/suricata-1581591507/rust
 e_sysconfdir = /usr/local/etc/suricata/
-e_sysconfrulesdir = /usr/local/etc/suricata/rules
 exec_prefix = ${prefix}
-has_suricata_update_comment = #
+have_cargo_vendor_bin = 
+have_rustup = /home/victor/.cargo/bin//rustup
 host = x86_64-pc-linux-gnu
 host_alias = 
 host_cpu = x86_64
@@ -284,7 +286,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/suricata-1569239043/install-sh
+install_sh = ${SHELL} /tmp/suricata-1581591507/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libhs_CFLAGS = 
@@ -301,16 +303,14 @@
 localstatedir = ${prefix}/var
 mandir = ${datarootdir}/man
 mkdir_p = $(MKDIR_P)
-no_suricata_update_comment = 
 oldincludedir = /usr/include
 pdfdir = ${docdir}
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
 runstatedir = ${localstatedir}/run
-rust_config_comment = 
-rust_config_enabled = yes
 rust_vendor_comment = # 
+rustup_home = RUSTUP_HOME=$(RUSTUP_HOME_PATH)
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 srcdir = .
@@ -386,3 +386,5 @@
 	    fi; \
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \

=== debian/changelog ===
suricata (1:5.0.2-3) unstable; urgency=medium

  * Source upload to enable testing migration.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:47:50 +0100

suricata (1:5.0.2-2) unstable; urgency=medium

  * Add --allow-multiple-definition linker flag to work around FTBFS on armel.
    Closes: #951765

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:23:52 +0100

suricata (1:5.0.2-1) unstable; urgency=medium

  * New upstream release.
    Closes: #951654
  * Add patch from upstream to build without needing if_tunnel.h.
    This avoids a potentially foreign arch build-dep for eBPF builds.
    Thanks to Eric Leblond.
  * Drop patches applied upstream.
  * Use debhelper-compat.
  * Mark autopkgtests requiring a control socket as potentially flaky.
    We cannot always predict the timing on all archs and do not want to
    use them for CI gating.
    Closes: #951721
  * Bring d/copyright up to date with current code base.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 20 Feb 2020 14:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo@debian.org>,
            Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
 	       dh-python,
+               libbpf-dev [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
                clang [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
                llvm [amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32],
                libcap-ng-dev,
@@ -16,10 +17,11 @@
                libjansson-dev,
                libluajit-5.1-dev [i386 amd64 powerpc mips mipsel armel armhf],
                libhyperscan-dev (>= 4.4.0) [i386 amd64 x32],
-               rustc (>= 1.28.0) [i386 amd64 armhf arm64],
-               cargo (>= 0.29.0) [i386 amd64 armhf arm64],
+               rustc (>= 1.28.0),
+               cargo (>= 0.29.0),
                liblz4-dev,
                libmagic-dev,
+               libmaxminddb-dev,
                libnet1-dev | libnet-dev,
                libnetfilter-log-dev,
                libnetfilter-queue-dev,
@@ -33,7 +35,7 @@
                zlib1g-dev | libz-dev,
                libhtp-dev (>= 1:0.5.25),
                procps
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.suricata-ids.org/
 Vcs-Browser: https://salsa.debian.org/pkg-suricata-team/pkg-suricata
 Vcs-Git: https://salsa.debian.org/pkg-suricata-team/pkg-suricata.git

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,19 @@
 
 SURICATA_DESTDIR = $(CURDIR)/debian/suricata
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export CARGO_HOME = $(CURDIR)/debian/cargohome
 
 include /usr/share/dpkg/architecture.mk
+
+# workaround for linking issue on armel, but should not hurt on other archs
+export DEB_LDFLAGS_APPEND = -Wl,--allow-multiple-definition
 
 LUAJIT_ARCHS = i386 amd64 powerpc mips mipsel armel armhf
 HYPERSCAN_ARCHS = i386 amd64 hurd-i386 kfreebsd-amd64 x32
 RUST_ARCHS = i386 amd64
+EBPF_ARCHS = amd64 arm64 armel armhf i386 ppc64el s390x ppc64 sparc64 x32
+
+LIBHTP_PKG_VERSION=$(shell apt-cache policy libhtp2 | grep Installed | cut -f2- -d: | cut -c2-)
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(LUAJIT_ARCHS)))
 	ENABLE_LUAJIT="--enable-luajit"
@@ -29,6 +36,11 @@
         ENABLE_UNITTESTS="--enable-unittests"
 endif
 
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(EBPF_ARCHS)))
+	ENABLE_EBPF=--enable-ebpf --enable-ebpf-build \
+		--with-ebpf-includes=/usr/include/$(DEB_HOST_MULTIARCH)
+endif
+
 CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude --enable-nflog \
 	--enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -39,23 +51,41 @@
 	--enable-non-bundled-htp \
 	$(ENABLE_LUAJIT) \
 	$(ENABLE_HYPERSCAN) \
-	$(ENABLE_UNITTESTS)
+	$(ENABLE_UNITTESTS) \
+	$(ENABLE_EBPF)
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
+
+override_dh_auto_build:
+	uname -a
+	mkdir -p $(CARGO_HOME)
+	dh_auto_build
+
+override_dh_auto_clean:
+	rm -rf $(CARGO_HOME)
+	rm -f debian/suricata.substvars
 
 override_dh_auto_install:
 	dh_auto_install
 	rm -rf $(SURICATA_DESTDIR)/usr/lib/python*;\
 	(cd python &&\
-		python -B setup.py install --install-layout=deb --prefix $(SURICATA_DESTDIR)/usr)
+		python3 -B setup.py install --install-layout=deb --prefix $(SURICATA_DESTDIR)/usr)
 	# clean upstream install documentation
 	rm -rf $(SURICATA_DESTDIR)/usr/share/doc/suricata/*
+	$(foreach file, $(wildcard ebpf/*bpf), \
+		install -D -t $(SURICATA_DESTDIR)/usr/lib/suricata/ebpf $(file) ;\
+	)
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='suricata-dbg (<< 1:4.0.0-2~)'
 
 override_dh_auto_test:
 	# do nothing
+
+override_dh_gencontrol:
+	echo "libhtp:Version=$(LIBHTP_PKG_VERSION)" >> debian/suricata.substvars
+	dh_gencontrol
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3
